module.exports = {
  chainWebpack: config => {
    // GraphQL Loader
    config.module
      .rule('graphql')
      .test(/\.gql$/)
      .use('graphql-tag/loader')
      .loader('graphql-tag/loader')
      .end()
  },

  publicPath: '/',
  devServer: {
    clientLogLevel: 'warning',
    // historyApiFallback: {
    //   index: '/',
    //   disableDotRule: true,
    //   verbose: true
    // },
    // hot: true,
    // contentBase: 'dist',
    // compress: true,
    host: '0.0.0.0',
    port: 8988,
    disableHostCheck: true,
    publicPath: '/',
    // quiet: false,
    watchOptions: {
      ignored: /node_modules/
    }
  }
}
